Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class SchemaDocumentImpl.SchemaImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.SchemaDocumentImpl.SchemaImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `OpenAttrs`, `SchemaDocument.Schema`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Enclosing class:
    SchemaDocumentImpl

      public static class SchemaDocumentImpl.SchemaImpl
      extends OpenAttrsImpl
      implements SchemaDocument.Schema

  An XML schema(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDocument.Annotation` | `addNewAnnotation()` | Appends and returns a new empty value (as xml) as the last "annotation" element
    `TopLevelAttribute` | `addNewAttribute()` | Appends and returns a new empty value (as xml) as the last "attribute" element
    `NamedAttributeGroup` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `TopLevelComplexType` | `addNewComplexType()` | Appends and returns a new empty value (as xml) as the last "complexType" element
    `TopLevelElement` | `addNewElement()` | Appends and returns a new empty value (as xml) as the last "element" element
    `NamedGroup` | `addNewGroup()` | Appends and returns a new empty value (as xml) as the last "group" element
    `ImportDocument.Import` | `addNewImport()` | Appends and returns a new empty value (as xml) as the last "import" element
    `IncludeDocument.Include` | `addNewInclude()` | Appends and returns a new empty value (as xml) as the last "include" element
    `NotationDocument.Notation` | `addNewNotation()` | Appends and returns a new empty value (as xml) as the last "notation" element
    `RedefineDocument.Redefine` | `addNewRedefine()` | Appends and returns a new empty value (as xml) as the last "redefine" element
    `TopLevelSimpleType` | `addNewSimpleType()` | Appends and returns a new empty value (as xml) as the last "simpleType" element
    `AnnotationDocument.Annotation[]` | `getAnnotationArray()` | Gets array of all "annotation" elements
    `AnnotationDocument.Annotation` | `getAnnotationArray​(int i)` | Gets ith "annotation" element
    `List<AnnotationDocument.Annotation>` | `getAnnotationList()` | Gets a List of "annotation" elements
    `TopLevelAttribute[]` | `getAttributeArray()` | Gets array of all "attribute" elements
    `TopLevelAttribute` | `getAttributeArray​(int i)` | Gets ith "attribute" element
    `FormChoice.Enum` | `getAttributeFormDefault()` | Gets the "attributeFormDefault" attribute
    `NamedAttributeGroup[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `NamedAttributeGroup` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<NamedAttributeGroup>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `List<TopLevelAttribute>` | `getAttributeList()` | Gets a List of "attribute" elements
    `Object` | `getBlockDefault()` | Gets the "blockDefault" attribute
    `TopLevelComplexType[]` | `getComplexTypeArray()` | Gets array of all "complexType" elements
    `TopLevelComplexType` | `getComplexTypeArray​(int i)` | Gets ith "complexType" element
    `List<TopLevelComplexType>` | `getComplexTypeList()` | Gets a List of "complexType" elements
    `TopLevelElement[]` | `getElementArray()` | Gets array of all "element" elements
    `TopLevelElement` | `getElementArray​(int i)` | Gets ith "element" element
    `FormChoice.Enum` | `getElementFormDefault()` | Gets the "elementFormDefault" attribute
    `List<TopLevelElement>` | `getElementList()` | Gets a List of "element" elements
    `Object` | `getFinalDefault()` | Gets the "finalDefault" attribute
    `NamedGroup[]` | `getGroupArray()` | Gets array of all "group" elements
    `NamedGroup` | `getGroupArray​(int i)` | Gets ith "group" element
    `List<NamedGroup>` | `getGroupList()` | Gets a List of "group" elements
    `String` | `getId()` | Gets the "id" attribute
    `ImportDocument.Import[]` | `getImportArray()` | Gets array of all "import" elements
    `ImportDocument.Import` | `getImportArray​(int i)` | Gets ith "import" element
    `List<ImportDocument.Import>` | `getImportList()` | Gets a List of "import" elements
    `IncludeDocument.Include[]` | `getIncludeArray()` | Gets array of all "include" elements
    `IncludeDocument.Include` | `getIncludeArray​(int i)` | Gets ith "include" element
    `List<IncludeDocument.Include>` | `getIncludeList()` | Gets a List of "include" elements
    `String` | `getLang()` | Gets the "lang" attribute
    `NotationDocument.Notation[]` | `getNotationArray()` | Gets array of all "notation" elements
    `NotationDocument.Notation` | `getNotationArray​(int i)` | Gets ith "notation" element
    `List<NotationDocument.Notation>` | `getNotationList()` | Gets a List of "notation" elements
    `RedefineDocument.Redefine[]` | `getRedefineArray()` | Gets array of all "redefine" elements
    `RedefineDocument.Redefine` | `getRedefineArray​(int i)` | Gets ith "redefine" element
    `List<RedefineDocument.Redefine>` | `getRedefineList()` | Gets a List of "redefine" elements
    `TopLevelSimpleType[]` | `getSimpleTypeArray()` | Gets array of all "simpleType" elements
    `TopLevelSimpleType` | `getSimpleTypeArray​(int i)` | Gets ith "simpleType" element
    `List<TopLevelSimpleType>` | `getSimpleTypeList()` | Gets a List of "simpleType" elements
    `String` | `getTargetNamespace()` | Gets the "targetNamespace" attribute
    `String` | `getVersion()` | Gets the "version" attribute
    `AnnotationDocument.Annotation` | `insertNewAnnotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "annotation" element
    `TopLevelAttribute` | `insertNewAttribute​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `NamedAttributeGroup` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `TopLevelComplexType` | `insertNewComplexType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "complexType" element
    `TopLevelElement` | `insertNewElement​(int i)` | Inserts and returns a new empty value (as xml) as the ith "element" element
    `NamedGroup` | `insertNewGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "group" element
    `ImportDocument.Import` | `insertNewImport​(int i)` | Inserts and returns a new empty value (as xml) as the ith "import" element
    `IncludeDocument.Include` | `insertNewInclude​(int i)` | Inserts and returns a new empty value (as xml) as the ith "include" element
    `NotationDocument.Notation` | `insertNewNotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "notation" element
    `RedefineDocument.Redefine` | `insertNewRedefine​(int i)` | Inserts and returns a new empty value (as xml) as the ith "redefine" element
    `TopLevelSimpleType` | `insertNewSimpleType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "simpleType" element
    `boolean` | `isSetAttributeFormDefault()` | True if has "attributeFormDefault" attribute
    `boolean` | `isSetBlockDefault()` | True if has "blockDefault" attribute
    `boolean` | `isSetElementFormDefault()` | True if has "elementFormDefault" attribute
    `boolean` | `isSetFinalDefault()` | True if has "finalDefault" attribute
    `boolean` | `isSetId()` | True if has "id" attribute
    `boolean` | `isSetLang()` | True if has "lang" attribute
    `boolean` | `isSetTargetNamespace()` | True if has "targetNamespace" attribute
    `boolean` | `isSetVersion()` | True if has "version" attribute
    `void` | `removeAnnotation​(int i)` | Removes the ith "annotation" element
    `void` | `removeAttribute​(int i)` | Removes the ith "attribute" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `removeComplexType​(int i)` | Removes the ith "complexType" element
    `void` | `removeElement​(int i)` | Removes the ith "element" element
    `void` | `removeGroup​(int i)` | Removes the ith "group" element
    `void` | `removeImport​(int i)` | Removes the ith "import" element
    `void` | `removeInclude​(int i)` | Removes the ith "include" element
    `void` | `removeNotation​(int i)` | Removes the ith "notation" element
    `void` | `removeRedefine​(int i)` | Removes the ith "redefine" element
    `void` | `removeSimpleType​(int i)` | Removes the ith "simpleType" element
    `void` | `setAnnotationArray​(int i, AnnotationDocument.Annotation annotation)` | Sets ith "annotation" element
    `void` | `setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)` | Sets array of all "annotation" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeArray​(int i, TopLevelAttribute attribute)` | Sets ith "attribute" element
    `void` | `setAttributeArray​(TopLevelAttribute[] attributeArray)` | Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeFormDefault​(FormChoice.Enum attributeFormDefault)` | Sets the "attributeFormDefault" attribute
    `void` | `setAttributeGroupArray​(int i, NamedAttributeGroup attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)` | Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setBlockDefault​(Object blockDefault)` | Sets the "blockDefault" attribute
    `void` | `setComplexTypeArray​(int i, TopLevelComplexType complexType)` | Sets ith "complexType" element
    `void` | `setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)` | Sets array of all "complexType" element WARNING: This method is not atomicaly synchronized.
    `void` | `setElementArray​(int i, TopLevelElement element)` | Sets ith "element" element
    `void` | `setElementArray​(TopLevelElement[] elementArray)` | Sets array of all "element" element WARNING: This method is not atomicaly synchronized.
    `void` | `setElementFormDefault​(FormChoice.Enum elementFormDefault)` | Sets the "elementFormDefault" attribute
    `void` | `setFinalDefault​(Object finalDefault)` | Sets the "finalDefault" attribute
    `void` | `setGroupArray​(int i, NamedGroup group)` | Sets ith "group" element
    `void` | `setGroupArray​(NamedGroup[] groupArray)` | Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
    `void` | `setId​(String id)` | Sets the "id" attribute
    `void` | `setImportArray​(int i, ImportDocument.Import ximport)` | Sets ith "import" element
    `void` | `setImportArray​(ImportDocument.Import[] ximportArray)` | Sets array of all "import" element WARNING: This method is not atomicaly synchronized.
    `void` | `setIncludeArray​(int i, IncludeDocument.Include include)` | Sets ith "include" element
    `void` | `setIncludeArray​(IncludeDocument.Include[] includeArray)` | Sets array of all "include" element WARNING: This method is not atomicaly synchronized.
    `void` | `setLang​(String lang)` | Sets the "lang" attribute
    `void` | `setNotationArray​(int i, NotationDocument.Notation notation)` | Sets ith "notation" element
    `void` | `setNotationArray​(NotationDocument.Notation[] notationArray)` | Sets array of all "notation" element WARNING: This method is not atomicaly synchronized.
    `void` | `setRedefineArray​(int i, RedefineDocument.Redefine redefine)` | Sets ith "redefine" element
    `void` | `setRedefineArray​(RedefineDocument.Redefine[] redefineArray)` | Sets array of all "redefine" element WARNING: This method is not atomicaly synchronized.
    `void` | `setSimpleTypeArray​(int i, TopLevelSimpleType simpleType)` | Sets ith "simpleType" element
    `void` | `setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)` | Sets array of all "simpleType" element WARNING: This method is not atomicaly synchronized.
    `void` | `setTargetNamespace​(String targetNamespace)` | Sets the "targetNamespace" attribute
    `void` | `setVersion​(String version)` | Sets the "version" attribute
    `int` | `sizeOfAnnotationArray()` | Returns number of "annotation" element
    `int` | `sizeOfAttributeArray()` | Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `int` | `sizeOfComplexTypeArray()` | Returns number of "complexType" element
    `int` | `sizeOfElementArray()` | Returns number of "element" element
    `int` | `sizeOfGroupArray()` | Returns number of "group" element
    `int` | `sizeOfImportArray()` | Returns number of "import" element
    `int` | `sizeOfIncludeArray()` | Returns number of "include" element
    `int` | `sizeOfNotationArray()` | Returns number of "notation" element
    `int` | `sizeOfRedefineArray()` | Returns number of "redefine" element
    `int` | `sizeOfSimpleTypeArray()` | Returns number of "simpleType" element
    `void` | `unsetAttributeFormDefault()` | Unsets the "attributeFormDefault" attribute
    `void` | `unsetBlockDefault()` | Unsets the "blockDefault" attribute
    `void` | `unsetElementFormDefault()` | Unsets the "elementFormDefault" attribute
    `void` | `unsetFinalDefault()` | Unsets the "finalDefault" attribute
    `void` | `unsetId()` | Unsets the "id" attribute
    `void` | `unsetLang()` | Unsets the "lang" attribute
    `void` | `unsetTargetNamespace()` | Unsets the "targetNamespace" attribute
    `void` | `unsetVersion()` | Unsets the "version" attribute
    `FormChoice` | `xgetAttributeFormDefault()` | Gets (as xml) the "attributeFormDefault" attribute
    `BlockSet` | `xgetBlockDefault()` | Gets (as xml) the "blockDefault" attribute
    `FormChoice` | `xgetElementFormDefault()` | Gets (as xml) the "elementFormDefault" attribute
    `FullDerivationSet` | `xgetFinalDefault()` | Gets (as xml) the "finalDefault" attribute
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `LangAttribute.Lang` | `xgetLang()` | Gets (as xml) the "lang" attribute
    `XmlAnyURI` | `xgetTargetNamespace()` | Gets (as xml) the "targetNamespace" attribute
    `XmlToken` | `xgetVersion()` | Gets (as xml) the "version" attribute
    `void` | `xsetAttributeFormDefault​(FormChoice attributeFormDefault)` | Sets (as xml) the "attributeFormDefault" attribute
    `void` | `xsetBlockDefault​(BlockSet blockDefault)` | Sets (as xml) the "blockDefault" attribute
    `void` | `xsetElementFormDefault​(FormChoice elementFormDefault)` | Sets (as xml) the "elementFormDefault" attribute
    `void` | `xsetFinalDefault​(FullDerivationSet finalDefault)` | Sets (as xml) the "finalDefault" attribute
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute
    `void` | `xsetLang​(LangAttribute.Lang lang)` | Sets (as xml) the "lang" attribute
    `void` | `xsetTargetNamespace​(XmlAnyURI targetNamespace)` | Sets (as xml) the "targetNamespace" attribute
    `void` | `xsetVersion​(XmlToken version)` | Sets (as xml) the "version" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### SchemaImpl

          public SchemaImpl​(SchemaType sType)

  - ### Method Detail

    - #### getIncludeList

          public List<IncludeDocument.Include> getIncludeList()

      Gets a List of "include" elements
      Specified by:
        `getIncludeList` in interface `SchemaDocument.Schema`

    - #### getIncludeArray

          public IncludeDocument.Include[] getIncludeArray()

      Gets array of all "include" elements
      Specified by:
        `getIncludeArray` in interface `SchemaDocument.Schema`

    - #### getIncludeArray

          public IncludeDocument.Include getIncludeArray​(int i)

      Gets ith "include" element
      Specified by:
        `getIncludeArray` in interface `SchemaDocument.Schema`

    - #### sizeOfIncludeArray

          public int sizeOfIncludeArray()

      Returns number of "include" element
      Specified by:
        `sizeOfIncludeArray` in interface `SchemaDocument.Schema`

    - #### setIncludeArray

          public void setIncludeArray​(IncludeDocument.Include[] includeArray)

      Sets array of all "include" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setIncludeArray` in interface `SchemaDocument.Schema`

    - #### setIncludeArray

          public void setIncludeArray​(int i,
                                      IncludeDocument.Include include)

      Sets ith "include" element
      Specified by:
        `setIncludeArray` in interface `SchemaDocument.Schema`

    - #### insertNewInclude

          public IncludeDocument.Include insertNewInclude​(int i)

      Inserts and returns a new empty value (as xml) as the ith "include" element
      Specified by:
        `insertNewInclude` in interface `SchemaDocument.Schema`

    - #### addNewInclude

          public IncludeDocument.Include addNewInclude()

      Appends and returns a new empty value (as xml) as the last "include" element
      Specified by:
        `addNewInclude` in interface `SchemaDocument.Schema`

    - #### removeInclude

          public void removeInclude​(int i)

      Removes the ith "include" element
      Specified by:
        `removeInclude` in interface `SchemaDocument.Schema`

    - #### getImportList

          public List<ImportDocument.Import> getImportList()

      Gets a List of "import" elements
      Specified by:
        `getImportList` in interface `SchemaDocument.Schema`

    - #### getImportArray

          public ImportDocument.Import[] getImportArray()

      Gets array of all "import" elements
      Specified by:
        `getImportArray` in interface `SchemaDocument.Schema`

    - #### getImportArray

          public ImportDocument.Import getImportArray​(int i)

      Gets ith "import" element
      Specified by:
        `getImportArray` in interface `SchemaDocument.Schema`

    - #### sizeOfImportArray

          public int sizeOfImportArray()

      Returns number of "import" element
      Specified by:
        `sizeOfImportArray` in interface `SchemaDocument.Schema`

    - #### setImportArray

          public void setImportArray​(ImportDocument.Import[] ximportArray)

      Sets array of all "import" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setImportArray` in interface `SchemaDocument.Schema`

    - #### setImportArray

          public void setImportArray​(int i,
                                     ImportDocument.Import ximport)

      Sets ith "import" element
      Specified by:
        `setImportArray` in interface `SchemaDocument.Schema`

    - #### insertNewImport

          public ImportDocument.Import insertNewImport​(int i)

      Inserts and returns a new empty value (as xml) as the ith "import" element
      Specified by:
        `insertNewImport` in interface `SchemaDocument.Schema`

    - #### addNewImport

          public ImportDocument.Import addNewImport()

      Appends and returns a new empty value (as xml) as the last "import" element
      Specified by:
        `addNewImport` in interface `SchemaDocument.Schema`

    - #### removeImport

          public void removeImport​(int i)

      Removes the ith "import" element
      Specified by:
        `removeImport` in interface `SchemaDocument.Schema`

    - #### getRedefineList

          public List<RedefineDocument.Redefine> getRedefineList()

      Gets a List of "redefine" elements
      Specified by:
        `getRedefineList` in interface `SchemaDocument.Schema`

    - #### getRedefineArray

          public RedefineDocument.Redefine[] getRedefineArray()

      Gets array of all "redefine" elements
      Specified by:
        `getRedefineArray` in interface `SchemaDocument.Schema`

    - #### getRedefineArray

          public RedefineDocument.Redefine getRedefineArray​(int i)

      Gets ith "redefine" element
      Specified by:
        `getRedefineArray` in interface `SchemaDocument.Schema`

    - #### sizeOfRedefineArray

          public int sizeOfRedefineArray()

      Returns number of "redefine" element
      Specified by:
        `sizeOfRedefineArray` in interface `SchemaDocument.Schema`

    - #### setRedefineArray

          public void setRedefineArray​(RedefineDocument.Redefine[] redefineArray)

      Sets array of all "redefine" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setRedefineArray` in interface `SchemaDocument.Schema`

    - #### setRedefineArray

          public void setRedefineArray​(int i,
                                       RedefineDocument.Redefine redefine)

      Sets ith "redefine" element
      Specified by:
        `setRedefineArray` in interface `SchemaDocument.Schema`

    - #### insertNewRedefine

          public RedefineDocument.Redefine insertNewRedefine​(int i)

      Inserts and returns a new empty value (as xml) as the ith "redefine" element
      Specified by:
        `insertNewRedefine` in interface `SchemaDocument.Schema`

    - #### addNewRedefine

          public RedefineDocument.Redefine addNewRedefine()

      Appends and returns a new empty value (as xml) as the last "redefine" element
      Specified by:
        `addNewRedefine` in interface `SchemaDocument.Schema`

    - #### removeRedefine

          public void removeRedefine​(int i)

      Removes the ith "redefine" element
      Specified by:
        `removeRedefine` in interface `SchemaDocument.Schema`

    - #### getAnnotationList

          public List<AnnotationDocument.Annotation> getAnnotationList()

      Gets a List of "annotation" elements
      Specified by:
        `getAnnotationList` in interface `SchemaDocument.Schema`

    - #### getAnnotationArray

          public AnnotationDocument.Annotation[] getAnnotationArray()

      Gets array of all "annotation" elements
      Specified by:
        `getAnnotationArray` in interface `SchemaDocument.Schema`

    - #### getAnnotationArray

          public AnnotationDocument.Annotation getAnnotationArray​(int i)

      Gets ith "annotation" element
      Specified by:
        `getAnnotationArray` in interface `SchemaDocument.Schema`

    - #### sizeOfAnnotationArray

          public int sizeOfAnnotationArray()

      Returns number of "annotation" element
      Specified by:
        `sizeOfAnnotationArray` in interface `SchemaDocument.Schema`

    - #### setAnnotationArray

          public void setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)

      Sets array of all "annotation" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAnnotationArray` in interface `SchemaDocument.Schema`

    - #### setAnnotationArray

          public void setAnnotationArray​(int i,
                                         AnnotationDocument.Annotation annotation)

      Sets ith "annotation" element
      Specified by:
        `setAnnotationArray` in interface `SchemaDocument.Schema`

    - #### insertNewAnnotation

          public AnnotationDocument.Annotation insertNewAnnotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "annotation" element
      Specified by:
        `insertNewAnnotation` in interface `SchemaDocument.Schema`

    - #### addNewAnnotation

          public AnnotationDocument.Annotation addNewAnnotation()

      Appends and returns a new empty value (as xml) as the last "annotation" element
      Specified by:
        `addNewAnnotation` in interface `SchemaDocument.Schema`

    - #### removeAnnotation

          public void removeAnnotation​(int i)

      Removes the ith "annotation" element
      Specified by:
        `removeAnnotation` in interface `SchemaDocument.Schema`

    - #### getSimpleTypeList

          public List<TopLevelSimpleType> getSimpleTypeList()

      Gets a List of "simpleType" elements
      Specified by:
        `getSimpleTypeList` in interface `SchemaDocument.Schema`

    - #### getSimpleTypeArray

          public TopLevelSimpleType[] getSimpleTypeArray()

      Gets array of all "simpleType" elements
      Specified by:
        `getSimpleTypeArray` in interface `SchemaDocument.Schema`

    - #### getSimpleTypeArray

          public TopLevelSimpleType getSimpleTypeArray​(int i)

      Gets ith "simpleType" element
      Specified by:
        `getSimpleTypeArray` in interface `SchemaDocument.Schema`

    - #### sizeOfSimpleTypeArray

          public int sizeOfSimpleTypeArray()

      Returns number of "simpleType" element
      Specified by:
        `sizeOfSimpleTypeArray` in interface `SchemaDocument.Schema`

    - #### setSimpleTypeArray

          public void setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)

      Sets array of all "simpleType" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setSimpleTypeArray` in interface `SchemaDocument.Schema`

    - #### setSimpleTypeArray

          public void setSimpleTypeArray​(int i,
                                         TopLevelSimpleType simpleType)

      Sets ith "simpleType" element
      Specified by:
        `setSimpleTypeArray` in interface `SchemaDocument.Schema`

    - #### insertNewSimpleType

          public TopLevelSimpleType insertNewSimpleType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "simpleType" element
      Specified by:
        `insertNewSimpleType` in interface `SchemaDocument.Schema`

    - #### addNewSimpleType

          public TopLevelSimpleType addNewSimpleType()

      Appends and returns a new empty value (as xml) as the last "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `SchemaDocument.Schema`

    - #### removeSimpleType

          public void removeSimpleType​(int i)

      Removes the ith "simpleType" element
      Specified by:
        `removeSimpleType` in interface `SchemaDocument.Schema`

    - #### getComplexTypeList

          public List<TopLevelComplexType> getComplexTypeList()

      Gets a List of "complexType" elements
      Specified by:
        `getComplexTypeList` in interface `SchemaDocument.Schema`

    - #### getComplexTypeArray

          public TopLevelComplexType[] getComplexTypeArray()

      Gets array of all "complexType" elements
      Specified by:
        `getComplexTypeArray` in interface `SchemaDocument.Schema`

    - #### getComplexTypeArray

          public TopLevelComplexType getComplexTypeArray​(int i)

      Gets ith "complexType" element
      Specified by:
        `getComplexTypeArray` in interface `SchemaDocument.Schema`

    - #### sizeOfComplexTypeArray

          public int sizeOfComplexTypeArray()

      Returns number of "complexType" element
      Specified by:
        `sizeOfComplexTypeArray` in interface `SchemaDocument.Schema`

    - #### setComplexTypeArray

          public void setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)

      Sets array of all "complexType" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setComplexTypeArray` in interface `SchemaDocument.Schema`

    - #### setComplexTypeArray

          public void setComplexTypeArray​(int i,
                                          TopLevelComplexType complexType)

      Sets ith "complexType" element
      Specified by:
        `setComplexTypeArray` in interface `SchemaDocument.Schema`

    - #### insertNewComplexType

          public TopLevelComplexType insertNewComplexType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "complexType" element
      Specified by:
        `insertNewComplexType` in interface `SchemaDocument.Schema`

    - #### addNewComplexType

          public TopLevelComplexType addNewComplexType()

      Appends and returns a new empty value (as xml) as the last "complexType" element
      Specified by:
        `addNewComplexType` in interface `SchemaDocument.Schema`

    - #### removeComplexType

          public void removeComplexType​(int i)

      Removes the ith "complexType" element
      Specified by:
        `removeComplexType` in interface `SchemaDocument.Schema`

    - #### getGroupList

          public List<NamedGroup> getGroupList()

      Gets a List of "group" elements
      Specified by:
        `getGroupList` in interface `SchemaDocument.Schema`

    - #### getGroupArray

          public NamedGroup[] getGroupArray()

      Gets array of all "group" elements
      Specified by:
        `getGroupArray` in interface `SchemaDocument.Schema`

    - #### getGroupArray

          public NamedGroup getGroupArray​(int i)

      Gets ith "group" element
      Specified by:
        `getGroupArray` in interface `SchemaDocument.Schema`

    - #### sizeOfGroupArray

          public int sizeOfGroupArray()

      Returns number of "group" element
      Specified by:
        `sizeOfGroupArray` in interface `SchemaDocument.Schema`

    - #### setGroupArray

          public void setGroupArray​(NamedGroup[] groupArray)

      Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setGroupArray` in interface `SchemaDocument.Schema`

    - #### setGroupArray

          public void setGroupArray​(int i,
                                    NamedGroup group)

      Sets ith "group" element
      Specified by:
        `setGroupArray` in interface `SchemaDocument.Schema`

    - #### insertNewGroup

          public NamedGroup insertNewGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element
      Specified by:
        `insertNewGroup` in interface `SchemaDocument.Schema`

    - #### addNewGroup

          public NamedGroup addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element
      Specified by:
        `addNewGroup` in interface `SchemaDocument.Schema`

    - #### removeGroup

          public void removeGroup​(int i)

      Removes the ith "group" element
      Specified by:
        `removeGroup` in interface `SchemaDocument.Schema`

    - #### getAttributeGroupList

          public List<NamedAttributeGroup> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `SchemaDocument.Schema`

    - #### getAttributeGroupArray

          public NamedAttributeGroup[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `SchemaDocument.Schema`

    - #### getAttributeGroupArray

          public NamedAttributeGroup getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `SchemaDocument.Schema`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `SchemaDocument.Schema`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `SchemaDocument.Schema`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(int i,
                                             NamedAttributeGroup attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `SchemaDocument.Schema`

    - #### insertNewAttributeGroup

          public NamedAttributeGroup insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `SchemaDocument.Schema`

    - #### addNewAttributeGroup

          public NamedAttributeGroup addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `SchemaDocument.Schema`

    - #### removeAttributeGroup

          public void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `SchemaDocument.Schema`

    - #### getElementList

          public List<TopLevelElement> getElementList()

      Gets a List of "element" elements
      Specified by:
        `getElementList` in interface `SchemaDocument.Schema`

    - #### getElementArray

          public TopLevelElement[] getElementArray()

      Gets array of all "element" elements
      Specified by:
        `getElementArray` in interface `SchemaDocument.Schema`

    - #### getElementArray

          public TopLevelElement getElementArray​(int i)

      Gets ith "element" element
      Specified by:
        `getElementArray` in interface `SchemaDocument.Schema`

    - #### sizeOfElementArray

          public int sizeOfElementArray()

      Returns number of "element" element
      Specified by:
        `sizeOfElementArray` in interface `SchemaDocument.Schema`

    - #### setElementArray

          public void setElementArray​(TopLevelElement[] elementArray)

      Sets array of all "element" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setElementArray` in interface `SchemaDocument.Schema`

    - #### setElementArray

          public void setElementArray​(int i,
                                      TopLevelElement element)

      Sets ith "element" element
      Specified by:
        `setElementArray` in interface `SchemaDocument.Schema`

    - #### insertNewElement

          public TopLevelElement insertNewElement​(int i)

      Inserts and returns a new empty value (as xml) as the ith "element" element
      Specified by:
        `insertNewElement` in interface `SchemaDocument.Schema`

    - #### addNewElement

          public TopLevelElement addNewElement()

      Appends and returns a new empty value (as xml) as the last "element" element
      Specified by:
        `addNewElement` in interface `SchemaDocument.Schema`

    - #### removeElement

          public void removeElement​(int i)

      Removes the ith "element" element
      Specified by:
        `removeElement` in interface `SchemaDocument.Schema`

    - #### getAttributeList

          public List<TopLevelAttribute> getAttributeList()

      Gets a List of "attribute" elements
      Specified by:
        `getAttributeList` in interface `SchemaDocument.Schema`

    - #### getAttributeArray

          public TopLevelAttribute[] getAttributeArray()

      Gets array of all "attribute" elements
      Specified by:
        `getAttributeArray` in interface `SchemaDocument.Schema`

    - #### getAttributeArray

          public TopLevelAttribute getAttributeArray​(int i)

      Gets ith "attribute" element
      Specified by:
        `getAttributeArray` in interface `SchemaDocument.Schema`

    - #### sizeOfAttributeArray

          public int sizeOfAttributeArray()

      Returns number of "attribute" element
      Specified by:
        `sizeOfAttributeArray` in interface `SchemaDocument.Schema`

    - #### setAttributeArray

          public void setAttributeArray​(TopLevelAttribute[] attributeArray)

      Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeArray` in interface `SchemaDocument.Schema`

    - #### setAttributeArray

          public void setAttributeArray​(int i,
                                        TopLevelAttribute attribute)

      Sets ith "attribute" element
      Specified by:
        `setAttributeArray` in interface `SchemaDocument.Schema`

    - #### insertNewAttribute

          public TopLevelAttribute insertNewAttribute​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element
      Specified by:
        `insertNewAttribute` in interface `SchemaDocument.Schema`

    - #### addNewAttribute

          public TopLevelAttribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element
      Specified by:
        `addNewAttribute` in interface `SchemaDocument.Schema`

    - #### removeAttribute

          public void removeAttribute​(int i)

      Removes the ith "attribute" element
      Specified by:
        `removeAttribute` in interface `SchemaDocument.Schema`

    - #### getNotationList

          public List<NotationDocument.Notation> getNotationList()

      Gets a List of "notation" elements
      Specified by:
        `getNotationList` in interface `SchemaDocument.Schema`

    - #### getNotationArray

          public NotationDocument.Notation[] getNotationArray()

      Gets array of all "notation" elements
      Specified by:
        `getNotationArray` in interface `SchemaDocument.Schema`

    - #### getNotationArray

          public NotationDocument.Notation getNotationArray​(int i)

      Gets ith "notation" element
      Specified by:
        `getNotationArray` in interface `SchemaDocument.Schema`

    - #### sizeOfNotationArray

          public int sizeOfNotationArray()

      Returns number of "notation" element
      Specified by:
        `sizeOfNotationArray` in interface `SchemaDocument.Schema`

    - #### setNotationArray

          public void setNotationArray​(NotationDocument.Notation[] notationArray)

      Sets array of all "notation" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setNotationArray` in interface `SchemaDocument.Schema`

    - #### setNotationArray

          public void setNotationArray​(int i,
                                       NotationDocument.Notation notation)

      Sets ith "notation" element
      Specified by:
        `setNotationArray` in interface `SchemaDocument.Schema`

    - #### insertNewNotation

          public NotationDocument.Notation insertNewNotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "notation" element
      Specified by:
        `insertNewNotation` in interface `SchemaDocument.Schema`

    - #### addNewNotation

          public NotationDocument.Notation addNewNotation()

      Appends and returns a new empty value (as xml) as the last "notation" element
      Specified by:
        `addNewNotation` in interface `SchemaDocument.Schema`

    - #### removeNotation

          public void removeNotation​(int i)

      Removes the ith "notation" element
      Specified by:
        `removeNotation` in interface `SchemaDocument.Schema`

    - #### getTargetNamespace

          public String getTargetNamespace()

      Gets the "targetNamespace" attribute
      Specified by:
        `getTargetNamespace` in interface `SchemaDocument.Schema`

    - #### xgetTargetNamespace

          public XmlAnyURI xgetTargetNamespace()

      Gets (as xml) the "targetNamespace" attribute
      Specified by:
        `xgetTargetNamespace` in interface `SchemaDocument.Schema`

    - #### isSetTargetNamespace

          public boolean isSetTargetNamespace()

      True if has "targetNamespace" attribute
      Specified by:
        `isSetTargetNamespace` in interface `SchemaDocument.Schema`

    - #### setTargetNamespace

          public void setTargetNamespace​(String targetNamespace)

      Sets the "targetNamespace" attribute
      Specified by:
        `setTargetNamespace` in interface `SchemaDocument.Schema`

    - #### xsetTargetNamespace

          public void xsetTargetNamespace​(XmlAnyURI targetNamespace)

      Sets (as xml) the "targetNamespace" attribute
      Specified by:
        `xsetTargetNamespace` in interface `SchemaDocument.Schema`

    - #### unsetTargetNamespace

          public void unsetTargetNamespace()

      Unsets the "targetNamespace" attribute
      Specified by:
        `unsetTargetNamespace` in interface `SchemaDocument.Schema`

    - #### getVersion

          public String getVersion()

      Gets the "version" attribute
      Specified by:
        `getVersion` in interface `SchemaDocument.Schema`

    - #### xgetVersion

          public XmlToken xgetVersion()

      Gets (as xml) the "version" attribute
      Specified by:
        `xgetVersion` in interface `SchemaDocument.Schema`

    - #### isSetVersion

          public boolean isSetVersion()

      True if has "version" attribute
      Specified by:
        `isSetVersion` in interface `SchemaDocument.Schema`

    - #### setVersion

          public void setVersion​(String version)

      Sets the "version" attribute
      Specified by:
        `setVersion` in interface `SchemaDocument.Schema`

    - #### xsetVersion

          public void xsetVersion​(XmlToken version)

      Sets (as xml) the "version" attribute
      Specified by:
        `xsetVersion` in interface `SchemaDocument.Schema`

    - #### unsetVersion

          public void unsetVersion()

      Unsets the "version" attribute
      Specified by:
        `unsetVersion` in interface `SchemaDocument.Schema`

    - #### getFinalDefault

          public Object getFinalDefault()

      Gets the "finalDefault" attribute
      Specified by:
        `getFinalDefault` in interface `SchemaDocument.Schema`

    - #### xgetFinalDefault

          public FullDerivationSet xgetFinalDefault()

      Gets (as xml) the "finalDefault" attribute
      Specified by:
        `xgetFinalDefault` in interface `SchemaDocument.Schema`

    - #### isSetFinalDefault

          public boolean isSetFinalDefault()

      True if has "finalDefault" attribute
      Specified by:
        `isSetFinalDefault` in interface `SchemaDocument.Schema`

    - #### setFinalDefault

          public void setFinalDefault​(Object finalDefault)

      Sets the "finalDefault" attribute
      Specified by:
        `setFinalDefault` in interface `SchemaDocument.Schema`

    - #### xsetFinalDefault

          public void xsetFinalDefault​(FullDerivationSet finalDefault)

      Sets (as xml) the "finalDefault" attribute
      Specified by:
        `xsetFinalDefault` in interface `SchemaDocument.Schema`

    - #### unsetFinalDefault

          public void unsetFinalDefault()

      Unsets the "finalDefault" attribute
      Specified by:
        `unsetFinalDefault` in interface `SchemaDocument.Schema`

    - #### getBlockDefault

          public Object getBlockDefault()

      Gets the "blockDefault" attribute
      Specified by:
        `getBlockDefault` in interface `SchemaDocument.Schema`

    - #### xgetBlockDefault

          public BlockSet xgetBlockDefault()

      Gets (as xml) the "blockDefault" attribute
      Specified by:
        `xgetBlockDefault` in interface `SchemaDocument.Schema`

    - #### isSetBlockDefault

          public boolean isSetBlockDefault()

      True if has "blockDefault" attribute
      Specified by:
        `isSetBlockDefault` in interface `SchemaDocument.Schema`

    - #### setBlockDefault

          public void setBlockDefault​(Object blockDefault)

      Sets the "blockDefault" attribute
      Specified by:
        `setBlockDefault` in interface `SchemaDocument.Schema`

    - #### xsetBlockDefault

          public void xsetBlockDefault​(BlockSet blockDefault)

      Sets (as xml) the "blockDefault" attribute
      Specified by:
        `xsetBlockDefault` in interface `SchemaDocument.Schema`

    - #### unsetBlockDefault

          public void unsetBlockDefault()

      Unsets the "blockDefault" attribute
      Specified by:
        `unsetBlockDefault` in interface `SchemaDocument.Schema`

    - #### getAttributeFormDefault

          public FormChoice.Enum getAttributeFormDefault()

      Gets the "attributeFormDefault" attribute
      Specified by:
        `getAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### xgetAttributeFormDefault

          public FormChoice xgetAttributeFormDefault()

      Gets (as xml) the "attributeFormDefault" attribute
      Specified by:
        `xgetAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### isSetAttributeFormDefault

          public boolean isSetAttributeFormDefault()

      True if has "attributeFormDefault" attribute
      Specified by:
        `isSetAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### setAttributeFormDefault

          public void setAttributeFormDefault​(FormChoice.Enum attributeFormDefault)

      Sets the "attributeFormDefault" attribute
      Specified by:
        `setAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### xsetAttributeFormDefault

          public void xsetAttributeFormDefault​(FormChoice attributeFormDefault)

      Sets (as xml) the "attributeFormDefault" attribute
      Specified by:
        `xsetAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### unsetAttributeFormDefault

          public void unsetAttributeFormDefault()

      Unsets the "attributeFormDefault" attribute
      Specified by:
        `unsetAttributeFormDefault` in interface `SchemaDocument.Schema`

    - #### getElementFormDefault

          public FormChoice.Enum getElementFormDefault()

      Gets the "elementFormDefault" attribute
      Specified by:
        `getElementFormDefault` in interface `SchemaDocument.Schema`

    - #### xgetElementFormDefault

          public FormChoice xgetElementFormDefault()

      Gets (as xml) the "elementFormDefault" attribute
      Specified by:
        `xgetElementFormDefault` in interface `SchemaDocument.Schema`

    - #### isSetElementFormDefault

          public boolean isSetElementFormDefault()

      True if has "elementFormDefault" attribute
      Specified by:
        `isSetElementFormDefault` in interface `SchemaDocument.Schema`

    - #### setElementFormDefault

          public void setElementFormDefault​(FormChoice.Enum elementFormDefault)

      Sets the "elementFormDefault" attribute
      Specified by:
        `setElementFormDefault` in interface `SchemaDocument.Schema`

    - #### xsetElementFormDefault

          public void xsetElementFormDefault​(FormChoice elementFormDefault)

      Sets (as xml) the "elementFormDefault" attribute
      Specified by:
        `xsetElementFormDefault` in interface `SchemaDocument.Schema`

    - #### unsetElementFormDefault

          public void unsetElementFormDefault()

      Unsets the "elementFormDefault" attribute
      Specified by:
        `unsetElementFormDefault` in interface `SchemaDocument.Schema`

    - #### getId

          public String getId()

      Gets the "id" attribute
      Specified by:
        `getId` in interface `SchemaDocument.Schema`

    - #### xgetId

          public XmlID xgetId()

      Gets (as xml) the "id" attribute
      Specified by:
        `xgetId` in interface `SchemaDocument.Schema`

    - #### isSetId

          public boolean isSetId()

      True if has "id" attribute
      Specified by:
        `isSetId` in interface `SchemaDocument.Schema`

    - #### setId

          public void setId​(String id)

      Sets the "id" attribute
      Specified by:
        `setId` in interface `SchemaDocument.Schema`

    - #### xsetId

          public void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute
      Specified by:
        `xsetId` in interface `SchemaDocument.Schema`

    - #### unsetId

          public void unsetId()

      Unsets the "id" attribute
      Specified by:
        `unsetId` in interface `SchemaDocument.Schema`

    - #### getLang

          public String getLang()

      Gets the "lang" attribute
      Specified by:
        `getLang` in interface `SchemaDocument.Schema`

    - #### xgetLang

          public LangAttribute.Lang xgetLang()

      Gets (as xml) the "lang" attribute
      Specified by:
        `xgetLang` in interface `SchemaDocument.Schema`

    - #### isSetLang

          public boolean isSetLang()

      True if has "lang" attribute
      Specified by:
        `isSetLang` in interface `SchemaDocument.Schema`

    - #### setLang

          public void setLang​(String lang)

      Sets the "lang" attribute
      Specified by:
        `setLang` in interface `SchemaDocument.Schema`

    - #### xsetLang

          public void xsetLang​(LangAttribute.Lang lang)

      Sets (as xml) the "lang" attribute
      Specified by:
        `xsetLang` in interface `SchemaDocument.Schema`

    - #### unsetLang

          public void unsetLang()

      Unsets the "lang" attribute
      Specified by:
        `unsetLang` in interface `SchemaDocument.Schema`